USN-3679-1: QEMU update

12 June 2018

Side channel execution mitigations were added to QEMU.

Releases

Packages

  • qemu - Machine emulator and virtualizer

Details

Ken Johnson and Jann Horn independently discovered that microprocessors
utilizing speculative execution of a memory read may allow unauthorized
memory reads via sidechannel attacks. An attacker in the guest could use
this to expose sensitive guest information, including kernel memory. This
update allows QEMU to expose new CPU features added by AMD microcode
updates to guests on amd64 and i386.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 18.04
Ubuntu 17.10
Ubuntu 16.04
Ubuntu 14.04

After a standard system update you need to restart all QEMU virtual
machines to make all the necessary changes.

References

Related notices

  • USN-3653-2: linux-gcp, linux-image-4.13.0-43-generic-lpae, linux-image-generic-lpae-hwe-16.04, linux-image-oem, linux-image-4.13.0-43-lowlatency, linux-image-4.13.0-1017-gcp, linux-image-4.13.0-43-generic, linux-image-lowlatency-hwe-16.04, linux-image-4.13.0-1018-azure, linux-image-gke, linux-oem, linux-hwe, linux-azure, linux-image-4.13.0-1028-oem, linux-image-gcp, linux-image-azure, linux-image-generic-hwe-16.04
  • USN-3777-3: linux-image-azure, linux-image-4.15.0-1025-azure, linux-azure
  • USN-3652-1: linux-image-4.15.0-1008-gcp, linux-image-4.15.0-22-lowlatency, linux, linux-azure, linux-image-4.15.0-1009-aws, linux-image-lowlatency, linux-image-generic, linux-image-4.15.0-1010-kvm, linux-gcp, linux-image-kvm, linux-image-gke, linux-oem, linux-image-4.15.0-22-generic-lpae, linux-aws, linux-image-aws, linux-kvm, linux-image-azure-edge, linux-image-oem, linux-image-generic-lpae, linux-image-4.15.0-22-generic, linux-image-gcp, linux-image-azure
  • USN-3655-2: linux-image-3.13.0-149-generic-lpae, linux-image-generic-lts-trusty, linux-image-3.13.0-149-generic, linux-lts-trusty, linux-image-generic-lpae-lts-trusty
  • USN-3654-1: linux, linux-image-4.4.0-127-lowlatency, linux-image-lowlatency, linux-image-generic, linux-image-4.4.0-127-powerpc-smp, linux-image-powerpc-smp, linux-image-powerpc64-smp, linux-image-kvm, linux-image-4.4.0-127-powerpc64-emb, linux-image-4.4.0-127-powerpc-e500mc, linux-image-4.4.0-127-powerpc64-smp, linux-image-4.4.0-1060-aws, linux-aws, linux-image-aws, linux-kvm, linux-image-4.4.0-127-generic, linux-image-4.4.0-127-generic-lpae, linux-image-powerpc-e500mc, linux-image-4.4.0-1026-kvm, linux-image-generic-lpae, linux-image-powerpc64-emb
  • USN-3651-1: qemu-system-x86, qemu-system, qemu
  • USN-3653-1: linux-image-4.13.0-43-generic-lpae, linux-image-4.13.0-43-lowlatency, linux-image-4.13.0-43-generic, linux, linux-image-generic-lpae, linux-image-lowlatency, linux-image-generic
  • USN-3756-1: intel-microcode
  • USN-3654-2: linux-image-generic-lpae-lts-xenial, linux-image-powerpc64-emb-lts-xenial, linux-image-aws, linux-image-lowlatency-lts-xenial, linux-image-4.4.0-127-generic, linux-image-generic-lts-xenial, linux-image-4.4.0-127-powerpc64-emb, linux-image-4.4.0-127-lowlatency, linux-image-powerpc64-smp-lts-xenial, linux-lts-xenial, linux-image-powerpc-e500mc-lts-xenial, linux-image-powerpc-smp-lts-xenial, linux-image-4.4.0-127-generic-lpae, linux-image-4.4.0-127-powerpc-e500mc, linux-image-4.4.0-127-powerpc64-smp, linux-image-4.4.0-1022-aws, linux-image-4.4.0-127-powerpc-smp, linux-aws
  • USN-3680-1: libvirt-bin, libvirt, libvirt0
  • USN-3655-1: linux-image-powerpc-e500mc, linux-image-powerpc-e500, linux-image-3.13.0-149-powerpc64-smp, linux-image-3.13.0-149-lowlatency, linux-image-3.13.0-149-powerpc-smp, linux-image-3.13.0-149-generic-lpae, linux-image-3.13.0-149-powerpc64-emb, linux, linux-image-3.13.0-149-powerpc-e500mc, linux-image-powerpc64-smp, linux-image-generic-lpae, linux-image-lowlatency, linux-image-generic, linux-image-3.13.0-149-powerpc-e500, linux-image-3.13.0-149-generic, linux-image-powerpc64-emb, linux-image-powerpc-smp